Index: /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_Detail.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 23065)
+++ /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 23124)
@@ -37,23 +37,23 @@
 {
     /** 商品ステータス */
-    var $arrSTATUS;
+    public $arrSTATUS;
 
     /** 商品ステータス画像 */
-    var $arrSTATUS_IMAGE;
+    public $arrSTATUS_IMAGE;
 
     /** 発送予定日 */
-    var $arrDELIVERYDATE;
+    public $arrDELIVERYDATE;
 
     /** おすすめレベル */
-    var $arrRECOMMEND;
+    public $arrRECOMMEND;
 
     /** フォームパラメーター */
-    var $objFormParam;
+    public $objFormParam;
 
     /** アップロードファイル */
-    var $objUpFile;
+    public $objUpFile;
 
     /** モード */
-    var $mode;
+    public $mode;
 
     /**
@@ -62,5 +62,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -85,5 +85,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         parent::process();
@@ -97,5 +97,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         //決済処理中ステータスのロールバック
@@ -104,5 +104,5 @@
         $objPurchase->checkDbMyPendignOrder();
         $objPurchase->checkDbAllPendingOrder();
-		
+
         // 会員クラス
         $objCustomer = new SC_Customer_Ex();
@@ -246,5 +246,5 @@
 
     /* プロダクトIDの正当性チェック */
-    function lfCheckProductId($admin_mode, $product_id)
+    public function lfCheckProductId($admin_mode, $product_id)
     {
         // 管理機能からの確認の場合は、非公開の商品も表示する。
@@ -260,5 +260,5 @@
         if (!SC_Utils_Ex::sfIsInt($product_id)
             || SC_Utils_Ex::sfIsZeroFilling($product_id)
-            || !SC_Helper_DB_Ex::sfIsRecord('dtb_products', 'product_id', (array)$product_id, $where)
+            || !SC_Helper_DB_Ex::sfIsRecord('dtb_products', 'product_id', (array) $product_id, $where)
         ) {
                 SC_Utils_Ex::sfDispSiteError(PRODUCT_NOT_FOUND);
@@ -269,5 +269,5 @@
 
     /* ファイル情報の初期化 */
-    function lfInitFile($objUpFile)
+    public function lfInitFile($objUpFile)
     {
         $objUpFile->addFile('詳細-メイン画像', 'main_image', array('jpg'), IMAGE_SIZE);
@@ -280,5 +280,5 @@
 
     /* 規格選択セレクトボックスの作成 */
-    function lfMakeSelect()
+    public function lfMakeSelect()
     {
         return 'fnSetClassCategories('
@@ -289,5 +289,5 @@
 
     /* 規格選択セレクトボックスの作成(モバイル) */
-    function lfMakeSelectMobile(&$objPage, $product_id, $request_classcategory_id1)
+    public function lfMakeSelectMobile(&$objPage, $product_id, $request_classcategory_id1)
     {
         $classcat_find1 = false;
@@ -352,5 +352,5 @@
 
     /* パラメーター情報の初期化 */
-    function lfInitParam(&$objFormParam)
+    public function lfInitParam(&$objFormParam)
     {
         $objFormParam->addParam('規格1', 'classcategory_id1', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
@@ -370,5 +370,5 @@
 
     /* 商品規格情報の取得 */
-    function lfGetProductsClass($product_id)
+    public function lfGetProductsClass($product_id)
     {
         $objProduct = new SC_Product_Ex();
@@ -378,5 +378,5 @@
 
     /* 登録済み関連商品の読み込み */
-    function lfPreGetRecommendProducts($product_id)
+    public function lfPreGetRecommendProducts($product_id)
     {
         $objProduct = new SC_Product_Ex();
@@ -402,5 +402,5 @@
 
     /* 入力内容のチェック */
-    function lfCheckError($mode, &$objFormParam, $tpl_classcat_find1 = null , $tpl_classcat_find2 = null)
+    public function lfCheckError($mode, &$objFormParam, $tpl_classcat_find1 = null , $tpl_classcat_find2 = null)
     {
         switch ($mode) {
@@ -434,5 +434,5 @@
 
     //商品ごとのレビュー情報を取得する
-    function lfGetReviewData($product_id)
+    public function lfGetReviewData($product_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -453,5 +453,5 @@
      * @return $subImageFlag
      */
-    function lfSetFile($objUpFile, $arrProduct, &$arrFile)
+    public function lfSetFile($objUpFile, $arrProduct, &$arrFile)
     {
         // DBからのデータを引き継ぐ
@@ -475,9 +475,10 @@
      * @return void
      */
-    function lfRegistFavoriteProduct($favorite_product_id, $customer_id)
+    public function lfRegistFavoriteProduct($favorite_product_id, $customer_id)
     {
         // ログイン中のユーザが商品をお気に入りにいれる処理
         if (!SC_Helper_DB_Ex::sfIsRecord('dtb_products', 'product_id', $favorite_product_id, 'del_flg = 0 AND status = 1')) {
             SC_Utils_Ex::sfDispSiteError(PRODUCT_NOT_FOUND);
+
             return false;
         } else {
@@ -497,4 +498,5 @@
             // お気に入りに登録したことを示すフラグ
             $this->just_added_favorite = true;
+
             return true;
         }
@@ -506,5 +508,5 @@
      * @return void
      */
-    function doCart()
+    public function doCart()
     {
         $this->arrErr = $this->lfCheckError($this->mode,$this->objFormParam,
@@ -530,8 +532,8 @@
      * Add product to authenticated user's favorites.
      *
-     * @param type $objCustomer
-     * @return void
-     */
-    function doAddFavorite(&$objCustomer)
+     * @param  type $objCustomer
+     * @return void
+     */
+    public function doAddFavorite(&$objCustomer)
     {
         // ログイン中のユーザが商品をお気に入りにいれる処理
@@ -550,8 +552,8 @@
      * Add product to authenticated user's favorites. (for Smart phone)
      *
-     * @param type $objCustomer
-     * @return void
-     */
-    function doAddFavoriteSphone($objCustomer)
+     * @param  type $objCustomer
+     * @return void
+     */
+    public function doAddFavoriteSphone($objCustomer)
     {
         // ログイン中のユーザが商品をお気に入りにいれる処理(スマートフォン用)
@@ -576,5 +578,5 @@
      * @return void
      */
-    function doDefault()
+    public function doDefault()
     {
         // カート「戻るボタン」用に保持
@@ -587,5 +589,5 @@
      * @return void
      */
-    function doMobileSelect()
+    public function doMobileSelect()
     {
         // 規格1が設定されている場合
@@ -593,4 +595,5 @@
             // templateの変更
             $this->tpl_mainpage = 'products/select_find1.tpl';
+
             return;
         }
@@ -604,5 +607,5 @@
      * @return type
      */
-    function doMobileSelect2()
+    public function doMobileSelect2()
     {
         $this->arrErr = $this->lfCheckError($this->mode, $this->objFormParam, $this->tpl_classcat_find1, $this->tpl_classcat_find2);
@@ -612,4 +615,5 @@
             // templateの変更
             $this->tpl_mainpage = 'products/select_find1.tpl';
+
             return;
         }
@@ -620,4 +624,5 @@
 
             $this->tpl_mainpage = 'products/select_find2.tpl';
+
             return;
         }
@@ -630,5 +635,5 @@
      * @return void
      */
-    function doMobileSelectItem()
+    public function doMobileSelectItem()
     {
         $objProduct = new SC_Product_Ex();
@@ -645,4 +650,5 @@
             // templateの変更
             $this->tpl_mainpage = 'products/select_find2.tpl';
+
             return;
         }
@@ -656,5 +662,5 @@
 
         // 規格2が設定されている場合.
-        if (SC_Utils_Ex::isBlank($this->objFormParam->getValue('classcategory_id2')) == false){
+        if (SC_Utils_Ex::isBlank($this->objFormParam->getValue('classcategory_id2')) == false) {
             $value2 = '#' . $this->objFormParam->getValue('classcategory_id2');
         } else {
@@ -673,5 +679,5 @@
      * @return void
      */
-    function doMobileCart()
+    public function doMobileCart()
     {
         // この段階でエラーが出る場合は、数量の入力エラーのはず
@@ -686,5 +692,5 @@
      * @return void
      */
-    function doMobileDefault()
+    public function doMobileDefault()
     {
         $this->tpl_mainpage = 'products/detail.tpl';
Index: /branches/version-2_13-dev/data/class/pages/LC_Page_ResizeImage.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/LC_Page_ResizeImage.php	(revision 23057)
+++ /branches/version-2_13-dev/data/class/pages/LC_Page_ResizeImage.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         $this->skip_load_page_layout = true;
@@ -49,5 +49,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         parent::process();
@@ -60,5 +60,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $objFormParam = new SC_FormParam_Ex();
@@ -87,5 +87,5 @@
     }
 
-    function lfInitParam(&$objFormParam)
+    public function lfInitParam(&$objFormParam)
     {
         $objFormParam->addParam('商品ID', 'product_id', INT_LEN, 'n',  array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
@@ -103,5 +103,5 @@
      * @return boolean 正常な形式:true 不正な形式:false
      */
-    function lfCheckFileName($image)
+    public function lfCheckFileName($image)
     {
         $file    = trim($image);
@@ -119,5 +119,5 @@
      * @return string 指定された商品画像のパス
      */
-    function lfGetProductImage($arrForm)
+    public function lfGetProductImage($arrForm)
     {
         $objQuery = SC_Query_Ex::getSingletonInstance();
@@ -141,11 +141,11 @@
      * 画像の出力
      *
-     * @param string $file 画像ファイル名
-     * @param integer $width 画像の幅
+     * @param string  $file   画像ファイル名
+     * @param integer $width  画像の幅
      * @param integer $height 画像の高さ
      *
      * @return void
      */
-    function lfOutputImage($file, $width, $height)
+    public function lfOutputImage($file, $width, $height)
     {
         $objThumb = new gdthumb();
Index: /branches/version-2_13-dev/data/class/pages/rss/LC_Page_Rss.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/rss/LC_Page_Rss.php	(revision 23057)
+++ /branches/version-2_13-dev/data/class/pages/rss/LC_Page_Rss.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         $this->skip_load_page_layout = true;
@@ -52,5 +52,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $objView = new SC_SiteView_Ex(false);
@@ -86,5 +86,5 @@
      * @return array $arrNews 取得結果を配列で返す
      */
-    function lfGetNews()
+    public function lfGetNews()
     {
         $objNews = new SC_Helper_News_Ex();
Index: /branches/version-2_13-dev/data/class/pages/rss/LC_Page_Rss_Products.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/rss/LC_Page_Rss_Products.php	(revision 23057)
+++ /branches/version-2_13-dev/data/class/pages/rss/LC_Page_Rss_Products.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         $this->skip_load_page_layout = true;
@@ -52,5 +52,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -62,5 +62,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $objView = new SC_SiteView_Ex();
@@ -120,9 +120,9 @@
      * lfGetProductsDetailData.
      *
-     * @param str $mode モード
-     * @param str $product_id 商品ID
+     * @param  str   $mode       モード
+     * @param  str   $product_id 商品ID
      * @return array $arrProduct 商品情報の配列を返す
      */
-    function lfGetProductsDetailData($mode, $product_id)
+    public function lfGetProductsDetailData($mode, $product_id)
     {
         $objQuery = SC_Query_Ex::getSingletonInstance();
@@ -177,5 +177,5 @@
      * @return array $arrProduct 商品情報の配列を返す
      */
-    function lfGetProductsListData()
+    public function lfGetProductsListData()
     {
         $objQuery = SC_Query_Ex::getSingletonInstance();
@@ -191,5 +191,5 @@
      * @return array $arrProduct 商品情報の配列を返す
      */
-    function lfGetProductsAllData()
+    public function lfGetProductsAllData()
     {
         $objQuery = SC_Query_Ex::getSingletonInstance();
@@ -234,9 +234,9 @@
      * 商品情報を取得する
      *
-     * @param SC_Query $objQuery DB操作クラス
-     * @param integer $product_id 商品ID
-     * @return array $arrProduct 取得結果を配列で返す
-     */
-    function lfGetProductsDetail(&$objQuery, $product_id = 'all')
+     * @param  SC_Query $objQuery   DB操作クラス
+     * @param  integer  $product_id 商品ID
+     * @return array    $arrProduct 取得結果を配列で返す
+     */
+    public function lfGetProductsDetail(&$objQuery, $product_id = 'all')
     {
         $objProduct = new SC_Product_Ex();
@@ -278,8 +278,8 @@
      * 商品情報を取得する(vw_products_allclass使用)
      *
-     * @param SC_Query $objQuery DB操作クラス
-     * @return array $arrProduct 取得結果を配列で返す
-     */
-    function lfGetProductsAllclass(&$objQuery)
+     * @param  SC_Query $objQuery DB操作クラス
+     * @return array    $arrProduct 取得結果を配列で返す
+     */
+    public function lfGetProductsAllclass(&$objQuery)
     {
         // --- 商品一覧の取得
Index: /branches/version-2_13-dev/data/class/pages/LC_Page_Index.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/LC_Page_Index.php	(revision 23055)
+++ /branches/version-2_13-dev/data/class/pages/LC_Page_Index.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -48,5 +48,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         parent::process();
@@ -60,5 +60,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         //決済処理中ステータスのロールバック
@@ -67,5 +67,5 @@
         $objPurchase->checkDbMyPendignOrder();
         $objPurchase->checkDbAllPendingOrder();
-		
+
         $this->tpl_title = '';
         $objCustomer = new SC_Customer_Ex();
Index: /branches/version-2_13-dev/data/class/pages/api/LC_Page_Api.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/api/LC_Page_Api.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/api/LC_Page_Api.php	(revision 23124)
@@ -39,5 +39,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -49,5 +49,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -60,5 +60,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $arrParam = $_REQUEST;
Index: /branches/version-2_13-dev/data/class/pages/api/LC_Page_Api_Xml.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/api/LC_Page_Api_Xml.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/api/LC_Page_Api_Xml.php	(revision 23124)
@@ -39,5 +39,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -49,5 +49,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -60,5 +60,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $arrParam = $_REQUEST;
Index: /branches/version-2_13-dev/data/class/pages/api/LC_Page_Api_Php.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/api/LC_Page_Api_Php.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/api/LC_Page_Api_Php.php	(revision 23124)
@@ -39,5 +39,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -49,5 +49,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -60,5 +60,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $arrParam = $_REQUEST;
Index: /branches/version-2_13-dev/data/class/pages/api/LC_Page_Api_Json.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/api/LC_Page_Api_Json.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/api/LC_Page_Api_Json.php	(revision 23124)
@@ -39,5 +39,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -49,5 +49,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -60,5 +60,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $arrParam = $_REQUEST;
Index: /branches/version-2_13-dev/data/class/pages/order/LC_Page_Order.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/order/LC_Page_Order.php	(revision 22931)
+++ /branches/version-2_13-dev/data/class/pages/order/LC_Page_Order.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -51,5 +51,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         parent::process();
@@ -63,5 +63,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $objDb = new SC_Helper_DB_Ex();
Index: /branches/version-2_13-dev/data/class/pages/LC_Page.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/LC_Page.php	(revision 23057)
+++ /branches/version-2_13-dev/data/class/pages/LC_Page.php	(revision 23124)
@@ -36,44 +36,44 @@
 {
     /** メインテンプレート */
-    var $tpl_mainpage;
+    public $tpl_mainpage;
 
     /** テンプレートのカラム数 */
-    var $tpl_column_num;
+    public $tpl_column_num;
 
     /** メインナンバー */
-    var $tpl_mainno;
+    public $tpl_mainno;
 
     /** CSS のパス */
-    var $tpl_css;
+    public $tpl_css;
 
     /** JavaScript */
-    var $tpl_javascript;
+    public $tpl_javascript;
 
     /** タイトル */
-    var $tpl_title;
+    public $tpl_title;
 
     /** ログインメールアドレス */
-    var $tpl_login_email;
+    public $tpl_login_email;
 
     /** HTML ロード後に実行する JavaScript コード */
-    var $tpl_onload;
+    public $tpl_onload;
 
     /** トランザクションID */
-    var $transactionid;
+    public $transactionid;
 
     /** メインテンプレート名 */
-    var $template = SITE_FRAME;
+    public $template = SITE_FRAME;
 
     /** 店舗基本情報 */
-    var $arrSiteInfo;
+    public $arrSiteInfo;
 
     /** プラグインを実行フラグ */
-    var $plugin_activate_flg = PLUGIN_ACTIVATE_FLAG;
+    public $plugin_activate_flg = PLUGIN_ACTIVATE_FLAG;
 
     /** POST に限定する mode */
-    var $arrLimitPostMode = array();
+    public $arrLimitPostMode = array();
 
     /** ページレイアウトを読み込むか */
-    var $skip_load_page_layout = false;
+    public $skip_load_page_layout = false;
 
     /**
@@ -82,5 +82,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         // 開始時刻を設定する。
@@ -118,5 +118,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         // POST に限定された mode か検証する。
@@ -129,5 +129,5 @@
      * @return void
      */
-    function sendResponse()
+    public function sendResponse()
     {
         $objPlugin = SC_Helper_Plugin_Ex::getSingletonInstance($this->plugin_activate_flg);
@@ -157,5 +157,5 @@
      * @return void
      */
-    function sendResponseCSV($file_name, $data)
+    public function sendResponseCSV($file_name, $data)
     {
         $this->objDisplay->prepare($this);
@@ -176,5 +176,5 @@
      * @return void
      */
-    function __destruct()
+    public function __destruct()
     {
         // 一定時間以上かかったページの場合、ログ出力する。
@@ -183,5 +183,5 @@
             $timeEnd = microtime(true);
             $timeExecTime = $timeEnd - $this->timeStart;
-            if (defined('PAGE_DISPLAY_TIME_LOG_MIN_EXEC_TIME') && $timeExecTime >= (float)PAGE_DISPLAY_TIME_LOG_MIN_EXEC_TIME) {
+            if (defined('PAGE_DISPLAY_TIME_LOG_MIN_EXEC_TIME') && $timeExecTime >= (float) PAGE_DISPLAY_TIME_LOG_MIN_EXEC_TIME) {
                 $logMsg = sprintf('PAGE_DISPLAY_TIME_LOG [%.2fsec]', $timeExecTime);
                 GC_Utils_Ex::gfPrintLog($logMsg);
@@ -193,8 +193,8 @@
      * ローカルフックポイントを生成し、実行します.
      *
-     * @param SC_Helper_Plugin_Ex $objPlugin
-     * @return void
-     */
-    function doLocalHookpointBefore(SC_Helper_Plugin_Ex $objPlugin)
+     * @param  SC_Helper_Plugin_Ex $objPlugin
+     * @return void
+     */
+    public function doLocalHookpointBefore(SC_Helper_Plugin_Ex $objPlugin)
     {
         // ローカルフックポイントを実行
@@ -212,8 +212,8 @@
      * ローカルフックポイントを生成し、実行します.
      *
-     * @param SC_Helper_Plugin_Ex $objPlugin
-     * @return void
-     */
-    function doLocalHookpointAfter(SC_Helper_Plugin_Ex $objPlugin)
+     * @param  SC_Helper_Plugin_Ex $objPlugin
+     * @return void
+     */
+    public function doLocalHookpointAfter(SC_Helper_Plugin_Ex $objPlugin)
     {
         // ローカルフックポイントを実行
@@ -232,5 +232,5 @@
      *
      */
-    function getTemplate()
+    public function getTemplate()
     {
         return $this->template;
@@ -241,5 +241,5 @@
      *
      */
-    function setTemplate($template)
+    public function setTemplate($template)
     {
         $this->template = $template;
@@ -258,7 +258,7 @@
      *
      * @access protected
-     * @param string $path 結果を取得するためのパス
-     * @param array $param URL に付与するパラメーターの配列
-     * @param mixed $useSSL 結果に HTTPS_URL を使用する場合 true,
+     * @param string $path   結果を取得するためのパス
+     * @param array  $param  URL に付与するパラメーターの配列
+     * @param mixed  $useSSL 結果に HTTPS_URL を使用する場合 true,
      *                         HTTP_URL を使用する場合 false,
      *                         デフォルト 'escape' 現在のスキーマを使用
@@ -266,5 +266,5 @@
      * @see Net_URL
      */
-    function getLocation($path, $param = array(), $useSSL = 'escape')
+    public function getLocation($path, $param = array(), $useSSL = 'escape')
     {
         $rootPath = $this->getRootPath($path);
@@ -297,8 +297,8 @@
      * EC-CUBE のWEBルート(/html/)を / としたパスを返す
      *
-     * @param string $path 結果を取得するためのパス
+     * @param  string $path 結果を取得するためのパス
      * @return string EC-CUBE のWEBルート(/html/)からのパス。
      */
-    function getRootPath($path)
+    public function getRootPath($path)
     {
         // realpath 関数は、QUERY_STRING を扱えないため、退避する。
@@ -356,5 +356,5 @@
      * @deprecated 決済モジュール互換のため
      */
-    function allowClientCache()
+    public function allowClientCache()
     {
         $this->httpCacheControl('private');
@@ -365,8 +365,8 @@
      *
      * @access protected
-     * @param string $mode (nocache/private)
-     * @return void
-     */
-    function httpCacheControl($mode = '')
+     * @param  string $mode (nocache/private)
+     * @return void
+     */
+    public function httpCacheControl($mode = '')
     {
         switch ($mode) {
@@ -403,5 +403,5 @@
      * @return string|null $_REQUEST['mode'] の文字列
      */
-    function getMode()
+    public function getMode()
     {
         $pattern = '/^[a-zA-Z0-9_]+$/';
@@ -426,8 +426,8 @@
      *
      * @access protected
-     * @param boolean $is_admin 管理画面でエラー表示をする場合 true
-     * @return void
-     */
-    function doValidToken($is_admin = false)
+     * @param  boolean $is_admin 管理画面でエラー表示をする場合 true
+     * @return void
+     */
+    public function doValidToken($is_admin = false)
     {
         if ($_SERVER['REQUEST_METHOD'] == 'POST') {
@@ -449,5 +449,5 @@
      * @return void
      */
-    function setTokenTo()
+    public function setTokenTo()
     {
         $this->transactionid = SC_Helper_Session_Ex::getToken();
@@ -459,5 +459,5 @@
      * @deprecated 2.12.0 GC_Utils_Ex::gfPrintLog を使用すること
      */
-    function log($mess, $log_level)
+    public function log($mess, $log_level)
     {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
@@ -477,8 +477,8 @@
      *
      * @access protected
-     * @param mixed $val デバックする要素
-     * @return void
-     */
-    function p($val)
+     * @param  mixed $val デバックする要素
+     * @return void
+     */
+    public function p($val)
     {
         SC_Utils_Ex::sfPrintR($val);
@@ -491,5 +491,6 @@
      * @return void
      */
-    function checkLimitPostMode() {
+    public function checkLimitPostMode()
+    {
         if ($_SERVER['REQUEST_METHOD'] !== 'POST' && in_array($mode = $this->getMode(), $this->arrLimitPostMode)) {
             $msg = "REQUEST_METHOD=[{$_SERVER['REQUEST_METHOD']}]では実行不能な mode=[$mode] が指定されました。";
Index: /branches/version-2_13-dev/data/class/pages/preview/LC_Page_Preview.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/preview/LC_Page_Preview.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/preview/LC_Page_Preview.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -48,5 +48,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         parent::process();
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_AbstractMypage.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_AbstractMypage.php	(revision 22949)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_AbstractMypage.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -52,5 +52,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         parent::process();
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Change.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Change.php	(revision 23040)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Change.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -65,5 +65,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         parent::process();
@@ -74,5 +74,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $objCustomer = new SC_Customer_Ex();
@@ -163,5 +163,5 @@
      * @return void
      */
-    function lfRegistCustomerData(&$objFormParam, $customer_id)
+    public function lfRegistCustomerData(&$objFormParam, $customer_id)
     {
         $arrRet             = $objFormParam->getHashArray();
@@ -175,8 +175,8 @@
      * 入力エラーのチェック.
      *
-     * @param array $arrRequest リクエスト値($_GET)
+     * @param  array $arrRequest リクエスト値($_GET)
      * @return array $arrErr エラーメッセージ配列
      */
-    function lfCheckError($arrRequest)
+    public function lfCheckError($arrRequest)
     {
         // パラメーター管理クラス
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_DownLoad.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_DownLoad.php	(revision 23057)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_DownLoad.php	(revision 23124)
@@ -33,13 +33,13 @@
 {
     /** フォームパラメーターの配列 */
-    var $objFormParam;
+    public $objFormParam;
 
     /** 基本Content-Type */
-    var $defaultContentType = 'Application/octet-stream';
+    public $defaultContentType = 'Application/octet-stream';
 
     /** 拡張Content-Type配列
      * Application/octet-streamで対応出来ないファイルタイプのみ拡張子をキーに記述する
      * 拡張子が本配列に存在しない場合は $defaultContentTypeを利用する */
-    var $arrContentType = array('apk' => 'application/vnd.android.package-archive',
+    public $arrContentType = array('apk' => 'application/vnd.android.package-archive',
                                 'pdf' => 'application/pdf'
         );
@@ -50,5 +50,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         $this->skip_load_page_layout = true;
@@ -62,5 +62,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         ob_end_clean();
@@ -75,5 +75,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         // ログインチェック
@@ -102,5 +102,5 @@
      * @return void
      */
-    function sendResponse()
+    public function sendResponse()
     {
         // TODO sendResponseをオーバーライドしている為、afterフックポイントが実行されない.直接実行する.(#1790)
@@ -157,11 +157,11 @@
      * 商品情報の読み込みを行う.
      *
-     * @param integer $customer_id 会員ID
-     * @param integer $order_id 受注ID
-     * @param integer $product_id 商品ID
-     * @param integer $product_class_id 商品規格ID
-     * @return array 商品情報の配列
-     */
-    function lfGetRealFileName($customer_id, $order_id, $product_id, $product_class_id)
+     * @param  integer $customer_id      会員ID
+     * @param  integer $order_id         受注ID
+     * @param  integer $product_id       商品ID
+     * @param  integer $product_class_id 商品規格ID
+     * @return array   商品情報の配列
+     */
+    public function lfGetRealFileName($customer_id, $order_id, $product_id, $product_class_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -195,5 +195,5 @@
 
     /* パラメーター情報の初期化 */
-    function lfInitParam(&$objFormParam)
+    public function lfInitParam(&$objFormParam)
     {
         $objFormParam->addParam('customer_id', 'customer_id', INT_LEN, 'n', array('EXIST_CHECK','NUM_CHECK'));
@@ -204,5 +204,5 @@
 
     /* 入力内容のチェック */
-    function lfCheckError(&$objFormParam)
+    public function lfCheckError(&$objFormParam)
     {
         $objErr = new SC_CheckError_Ex($objFormParam->getHashArray());
@@ -215,8 +215,8 @@
      * モバイル端末用ヘッダー出力処理
      *
-     * @param string $realpath ダウンロードファイルパス
+     * @param string $realpath       ダウンロードファイルパス
      * @param string $sdown_filename ダウンロード時の指定ファイル名
      */
-    function lfMobileHeader($realpath,$sdown_filename)
+    public function lfMobileHeader($realpath,$sdown_filename)
     {
         $objHelperMobile = new SC_Helper_Mobile_Ex();
@@ -233,8 +233,8 @@
      * モバイル端末（AU）ダウンロード処理
      *
-     * @param string $realpath ダウンロードファイルパス
+     * @param string $realpath       ダウンロードファイルパス
      * @param string $sdown_filename ダウンロード時の指定ファイル名
      */
-    function lfMobileAuDownload($realpath,$sdown_filename)
+    public function lfMobileAuDownload($realpath,$sdown_filename)
     {
         //モバイル用ヘッダー出力
@@ -265,8 +265,8 @@
      * モバイル端末（AU以外）ダウンロード処理
      *
-     * @param string $realpath ダウンロードファイルパス
+     * @param string $realpath       ダウンロードファイルパス
      * @param string $sdown_filename ダウンロード時の指定ファイル名
      */
-    function lfMobileDownload($realpath,$sdown_filename)
+    public function lfMobileDownload($realpath,$sdown_filename)
     {
         //モバイル用ヘッダー出力
@@ -324,8 +324,8 @@
      * モバイル端末以外ダウンロード処理
      *
-     * @param string $realpath ダウンロードファイルパス
+     * @param string $realpath       ダウンロードファイルパス
      * @param string $sdown_filename ダウンロード時の指定ファイル名
      */
-    function lfDownload($realpath,$sdown_filename)
+    public function lfDownload($realpath,$sdown_filename)
     {
         // 拡張子を取得
